Bug 965520 - mgetty package should be built with PIE flags
mgetty package should be built with PIE flags
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mgetty (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 06:24 EDT by Dhiru Kholia
Modified: 2014-03-24 23:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 10:51:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhiru Kholia 2013-05-21 06:24:21 EDT
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package has suid binaries...".

However, currently mgetty is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

mgetty-sendfax-1.1.36-21.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py mgetty-sendfax-1.1.36-21.fc19.x86_64.rpm
mgetty-sendfax,mgetty-sendfax-1.1.36-21.fc19.x86_64.rpm,/usr/bin/ct,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
mgetty-sendfax,mgetty-sendfax-1.1.36-21.fc19.x86_64.rpm,/usr/bin/newslock,mode=0100755,NX=Enabled,CANARY=Disabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=NA,CATEGORY=None
mgetty-sendfax,mgetty-sendfax-1.1.36-21.fc19.x86_64.rpm,/usr/bin/pbm2g3,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
mgetty-sendfax,mgetty-sendfax-1.1.36-21.fc19.x86_64.rpm,/usr/bin/sff2g3,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
mgetty-sendfax,mgetty-sendfax-1.1.36-21.fc19.x86_64.rpm,/usr/lib64/mgetty+sendfax/faxq-helper,mode=0104711,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
mgetty-sendfax,mgetty-sendfax-1.1.36-21.fc19.x86_64.rpm,/usr/sbin/sendfax,mode=0100755,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
Comment 1 Michal Sekletar 2013-07-31 10:51:40 EDT
Fixed in mgetty-1.1.36-22.

Note You need to log in before you can comment on or make changes to this bug.